Runtime

## org.eclipse.gmf.runtime.notation
Interface DiagramLinkStyle

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, Style

All Known Subinterfaces:
  HintedDiagramLinkStyle

All Known Implementing Classes:
  DiagramLinkStyleImpl, HintedDiagramLinkStyleImpl

    public interface DiagramLinkStyle

extends Style

A representation of the model object 'Diagram Link Style'.

The following features are supported:

- `Diagram Link`

See Also:
  `NotationPackage.getDiagramLinkStyle()`
** Generated **
Model:

Method Summary
`Diagram` `getDiagramLink()` Returns the value of the 'Diagram Link' reference
`void` `setDiagramLink(Diagram value)` Sets the value of the '`Diagram Link`' reference

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getDiagramLink

    Diagram getDiagramLink()

  Returns the value of the 'Diagram Link' reference.

  If the meaning of the 'Diagram Link' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Diagram Link' reference.
  See Also:
    `setDiagramLink(Diagram)`, `NotationPackage.getDiagramLinkStyle_DiagramLink()`
  ** Generated **
  Model:
    resolveProxies="false"

### setDiagramLink

    void setDiagramLink(Diagram value)

  Sets the value of the '`Diagram Link`' reference.

  Parameters:
    `value` - the new value of the 'Diagram Link' reference.
  See Also:
    `getDiagramLink()`
  ** Generated **

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.